<?php
/**
 *	Custom Image Gallery
 *	
 *	Laborator.co
 *	www.laborator.co 
 */

// Add support for Light Gallery Lightbox
function kalium_vc_image_gallery_add_lightbox_support() {
	$param = WPBMap::getParam( 'vc_gallery', 'type' );
	
	$param['value']['Light gallery'] = 'light-gallery';
	
	vc_update_shortcode_param( 'vc_gallery', $param );
}

add_action( 'vc_after_init', 'kalium_vc_image_gallery_add_lightbox_support' );

// vc_shortcode_output

// Enqueue light gallery when using this option
function vc_shortcode_output_light_gallery_enqueue( $output, $class, $atts ) {
	
	if ( $class instanceof WPBakeryShortCode_VC_gallery && isset( $atts['type'] ) && 'light-gallery' == $atts['type'] ) {
		// Default Lightbox Gallery
		wp_enqueue_script( 'light-gallery' );
		wp_enqueue_style( array( 'light-gallery', 'light-gallery-transitions' ) );
		
		// Exwecute only once
		remove_filter( 'vc_shortcode_output', 'vc_shortcode_output_light_gallery_enqueue', 100, 3 );
	}
	
	return $output;
	
}

add_filter( 'vc_shortcode_output', 'vc_shortcode_output_light_gallery_enqueue', 100, 3 );